DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeatureShape

Measure shape parameters of the object

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureShapeID ( void )

## FUNCTION

`dip_FeatureShapeID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function is a composite measurement function, that uses `FeatureSize`, `FeaturePerimeter`, and `FeaturePerimeter` to measures the following shape characteristics of 2D objects: Squarity = area / ( s * sp ) Circularity = area / ( Pi/4 * sp^2 ) Triangularity = area / ( 2 * s * sp ) Ellipsity = area / ( Pi/4 * s * sp ) Elongation = p / l with area the size, s the shortest Feret diameter, l the longest Feret diameter, sp the Feret diameter perpendicular to s, and p the perimeter of the object.

When the measured object is either a perfect square, circle, triangle or ellips, the values obtained by `FeatureShape` will be 1.0.

## SEE ALSO

`Measure`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMass`, `FeatureStdDev`, `FeatureMaximum`, `FeatureMinimum`, `FeatureMaxVal`, `FeatureMinVal`, `FeaturePerimeter`, `FeatureSurfaceArea`, `FeatureFeret`, `FeatureMass`, `FeatureInertia`, `FeatureP2A`

DIPlib on-line documentation | Function reference | Global function index